{
    "name": "WITO Detector",
    "version": "7.0.0",
    "manifest_version": 2,
    "description": "Warns users about unreliable sites and companies.",
    "homepage_url": "https://github.com/fischer.johan/wito.-bs-detector",
    "icons": {
        "16": "icons/logo_16x16.png",
        "48": "icons/logo_48x48.png",
        "128": "icons/logo_128x128.png"
    },

    "permissions": ["*://unshorten.me/*", "storage", "activeTab"],

    "content_security_policy": "script-src 'self'; object-src 'self'",

    "background": {
        "page": "background-script/index.html",
        "persistent": true
    },

    "browser_action": {
        "default_popup": "options-popup/index.html"
    },

    "content_scripts": [
        {
            "matches": ["*://*/*"],
            "all_frames": true,
            "run_at": "document_end",
            "css": [
                "content-script/index.css",
                "content-script/banner.css",
                "content-script/modal/index.css"
            ],
            "js": [
                "content-script/jquery/jquery-3.1.1.js",
                "content-script/jquery/mutation-summary.js",
                "content-script/jquery/jquery.mutation-summary.js",
                "content-script/index-initmodule.js"
            ]
        }
    ],

    "web_accessible_resources": [
        "content-script/*",
        "icons/*",
        "general-utils.js"
    ]
}
